rep2abI {Matrix} | R Documentation

## Replicate Vectors into 'abIndex' Result

### Description

`rep2abI(x, times)` conceptually computes `rep.int(x, times)` but with an `abIndex` class result.

### Usage

    rep2abI(x, times)

### Arguments

`x` | numeric vector
`times` | integer (valued) scalar: the number of repetitions

### Value

a vector of `class` `abIndex`

### See Also

`rep.int()`, the base function; `abIseq`, `abIndex`.

### Examples

    (ab <- rep2abI(2:7, 4))
    stopifnot(identical(as(ab, "numeric"),
    	   rep(2:7, 4)))

[Package Matrix version 1.0-6 Index]